> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a planned task



## OpenAPI

````yaml PUT /project/v1/planned-tasks/{plannedTaskId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /project/v1/planned-tasks/{plannedTaskId}:
    put:
      tags:
        - Planned Tasks
      summary: Update a planned task
      operationId: UpdatePlannedTask
      parameters:
        - in: path
          name: plannedTaskId
          description: Planned task ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Planned task object with fields that need to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                startTime:
                  type: string
                  format: time
                  description: Start time of the planned task
                  example: '10:00'
                endTime:
                  type: string
                  format: time
                  description: End time of the planned task
                  example: '16:00'
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      accumulatedSeconds:
                        type: integer
                        example: 1200
                      description:
                        type: string
                        example: This is a description for the planned task
                      endDate:
                        type: string
                        format: date
                        example: '2025-01-01'
                      endTime:
                        type: string
                        example: '10:50'
                      id:
                        type: string
                        format: uuid
                      numComments:
                        type: integer
                        example: 1200
                      projectId:
                        type: string
                        format: uuid
                      startDate:
                        type: string
                        format: date
                      startTime:
                        type: string
                        example: '16:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````